.sizes {
  display: none;

  @media screen and (max-width: 575px) {
    &.visible-now ~ .sizes {
      display: none !important;
    }

    &:nth-of-type(1) {
      display: initial;
    }
  }

  @media screen and (min-width: 576px) and (max-width: 768px) {
    &.visible-now:not(.xs) ~ .sizes {
      display: none !important;
    }

    &:not(.xs),
    &:nth-last-of-type(1) {
      display: initial;
    }
  }

  @media screen and (min-width: 769px) and (max-width: 992px) {
    &.visible-now:not(.xs):not(.sm) ~ .sizes {
      display: none !important;
    }

    &:not(.xs):not(.sm),
    &:nth-last-of-type(1) {
      display: initial;
    }
  }

  @media screen and (min-width: 993px) and (max-width: 1200px) {
    &.visible-now.lg ~ .sizes {
      display: none !important;
    }

    &.lg,
    &.xl,
    &:nth-last-of-type(1) {
      display: initial;
    }
  }

  @media screen and (min-width: 1201px) {
    &.xl,
    &:nth-last-of-type(1) {
      display: initial;
    }
  }
}
